<?php
/**
* 
* @package tx
* @author theme-x
* @link https://theme-x.org/
*
*/

/* ---------------------------------------------------------
   Enqueue Styles and Scripts
------------------------------------------------------------ */ 

if(!function_exists('tx_enqueue')):
  add_action('wp_enqueue_scripts', 'tx_enqueue');
  function tx_enqueue() {
  global $tx;
  // CSS
  
  wp_enqueue_style( 'bootstrap', TX_CSS . 'bootstrap.min.css' );
  wp_enqueue_style( 'tx-main', TX_CSS . 'main.min.css' );
  wp_enqueue_style( 'bootstrap-icons', TX_CSS . 'bootstrap-icons.min.css' );
if(!class_exists('Elementor')):
  wp_enqueue_style( 'font-awesome-4', TX_CSS . 'font-awesome.min.css' ); // v4.7.0
  wp_enqueue_style( 'fontawesome', TX_CSS . 'fontawesome.min.css' ); // v5+
  wp_enqueue_style( 'fontawesome-brands', TX_CSS . 'brands.min.css' ); // v5+
endif;
  wp_enqueue_style( 'line-awesome', TX_CSS . 'line-awesome.min.css' );
  wp_enqueue_style( 'owl-carousel', TX_CSS . 'owl.carousel.min.css' );
  wp_enqueue_style( 'lightslider', TX_CSS . 'lightslider.min.css' );

  // Dark Mode
  if( $tx['tx_dark_mode'] ) :
    wp_enqueue_style( 'darkmode', TX_CSS . 'darkmode.min.css' );
  endif;

  // RTL support
  if(is_rtl()):
    wp_enqueue_style( 'tx-rtl', TX_CSS . 'rtl.min.css');
  endif;

  // JS
  wp_enqueue_script( 'tx-main-scripts', TX_JS . 'main.min.js', array('jquery'), false, true );
  wp_enqueue_script( 'bootstrap', TX_JS . 'bootstrap.min.js', array('jquery'), false, true );
  wp_enqueue_script( 'owl-carousel', TX_JS . 'owl.carousel.min.js', array('jquery'), false, true );
  wp_enqueue_script( 'lightslider', TX_JS . 'lightslider.min.js', array('jquery'), false, true );

  // Preloader
  if ($tx['preloader']) :
    wp_enqueue_script( 'sPreloader', TX_JS . 'sPreloader.min.js', array('jquery'), false, true );
  endif;

  // Cookie notice bar
  if( $tx['cookie_notice'] ) :
    wp_enqueue_script( 'cookieconsent', TX_JS . 'cookieconsent.min.js', array('jquery'), false, true );
  endif;

  // Dark mode
  if( $tx['tx_dark_mode'] ) :
    wp_enqueue_script( 'darkmode', TX_JS . 'darkmode.min.js', array('jquery'), false, true );
  endif;
  
  // Load WP Comment Reply JS
  if( is_singular() && comments_open() ) {
    wp_enqueue_script( 'comment-reply' );
  }

}
endif;

/* ---------------------------------------------------------
   Enqueue Styles & Scripts for Admin
------------------------------------------------------------ */
if( !function_exists('tx_admin_enqueue') ):
  add_action('admin_enqueue_scripts', 'tx_admin_enqueue');
  function tx_admin_enqueue() {

    wp_enqueue_style( 'tx-admin-style', TX_CSS . 'admin.min.css' );
if(!class_exists('Elementor')):    
    wp_enqueue_style( 'font-awesome-admin', TX_CSS . 'font-awesome.min.css' ); // v4.7.0
    wp_enqueue_style( 'fontawesome-admin', TX_CSS . 'fontawesome.min.css' ); // v5+
endif;
    wp_enqueue_style( 'bootstrap-icons-admin', TX_CSS . 'bootstrap-icons.min.css' );
    wp_enqueue_style( 'wp-jquery-ui-dialog' );

    wp_enqueue_script( 'tx-admin-script', TX_JS . 'admin.min.js', array('jquery'), false, true );
    wp_enqueue_script( 'jquery-ui-dialog', array('jquery') );
  }
endif;

/* ---------------------------------------------------------
   EOF
------------------------------------------------------------ */